Browser Compatibility

To view our secure website, and use our secure online applications and services, you will need a computer and browser that is TLS 1.2 compatible. For reference, we have included a TLS 1.2 compatibility list here.

Desktop and Mobile Clients and Web Browsers TLS 1.2 Compatibility List

Desktop Clients

Windows 7 SP1

 

Windows 8.1

 

Windows 10

 

MAC OS X 10.9

 

MAC OS X 10.10

 

MAC OS X 10.11

 

MAC OS X 10.12

 

MAC OS X 10.13

 

 


Web Browsers

Microsoft Internet Explorer 11 (desktop and mobile)

 

Microsoft Edge

 

Mozilla Firefox 27 and higher

 

Google Chrome 38 and higher

 

Android 5.0 (Lollipop) and higher

 

Safari 5 mobile and higher for IOS 5 and higher

 

Safari 7 desktop and higher for OS X 10.9 and higher

 

 


Mobile Clients

Android 5.8 to 8.1 and P

 

iPhone OS 5, 6, 7, 8, 9, 10, 11

 

MobileIron Core 9.5 and higher

 

Windows Phone 8.1

 

Windows 10 Mobile v1511, v1607, v1703, and v1709

Note: Some operating systems may require updates to enable TLS 1.2 as it is not turned on by default. The supported version is subject to change, please refer to your manufacture support site for more information on how to enable your operating system or browser to support TLS 1.2.